/* Existing CSS */

.mega-menu-desktop-parent {
	margin-right: 22px;
	flex-wrap: nowrap!important;
}

.nav-dropdown-has-arrow li.has-dropdown:after, .nav-dropdown-has-arrow li.has-dropdown:before {
	display: none!important;
}

.mega-menu-parent-class .nav-dropdown {
    box-shadow: none!important;
}

.mobile-mega-menu-tabs {
	width: 100%;
}

.mobile-mega-menu-tabs .nav-outline {
	background: #F6F6F6;
	border-radius: 50px;
	box-shadow: 0px 4px 54.6px -16px #21323626;

}

.mobile-mega-menu-tabs .nav-outline li {
	width: 33%!important;
	padding-left: 0!important;
}

.mobile-mega-menu-tabs .nav-outline li > a {
	width: 100%!important;
	background: #F6F6F6;
	color: #454F51!important;
	border: none!important;
}

.mobile-mega-menu-tabs .nav-outline li.active > a,
.mobile-mega-menu-tabs .nav-outline li:hover > a{
	background: #FBCCD5;
	color: #68323F!important;
}

.mobile-mega-menu-tabs > h4 {
	display: none;
}

.mega-menu-dropdown-wrapper {
	width: 100%;
}

.dropdown-menu {
    background: #FFF;
    list-style: none;
    position: relative;
    min-width: 350px;
    padding: 30px 0 !important;
	border: 0;
}

.dropdown.has-block {
	width: 100%;
}

.dropdown-menu.level-2 a {
    padding: 4px 30px !important;
}

.dropdown-menu a {
	padding: 10px 60px 10px 30px!important;
    display: flex;
    align-items: center;
	gap: 16px;
}

.dropdown-menu li {
	padding: 0 !important;
    position: relative;
    margin: 0 !important;
	position: unset;
	font-size: 15px!important;
}

.dropdown-menu.dropdown-submenu li{
	padding: 0 20px !important;
}

.dropdown-menu.dropdown-submenu a {
	padding: 10px 0px 10px 0px!important;
	gap: 8px;
}

.dropdown-menu.dropdown-submenu img {
	height: 20px;
}




@media(min-width: 850px) {
	.bullet-mega:hover > .dropdown-item {
		text-decoration: underline;
	}
}
/*
@media(min-width: 850px) {
	.dropdown-item {
		opacity: 0.5;
	}

	.bullet-mega:hover > .dropdown-menu .dropdown-item {
		opacity: 1;
	}

	.bullet-mega:hover > .dropdown-item {
		opacity: 1!important;
		text-decoration: underline;
	}

	.current-ul-active > .dropdown-item {
		opacity: 1!important;
	}
	
	.level-1:hover > .bullet-mega .dropdown-item {
		opacity: 0.5;
	}

	.level-1:hover .level-2 .dropdown-item {
		opacity: 1!important;
	}	
}
*/


.dropdown-menu .dropdown-submenu {
    display: none;
    position: absolute;
    left: 100%;
    top: 0;
    border-left: solid 1px #DEDEDE;
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
	border: solid 1px #EBEEF3;
}

.main-mega-menu {
	border-top-left-radius: 10px;
	border-bottom-left-radius: 10px;
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
}

.dropdown-menu .dropdown-submenu-left {
    right: 100%;
    left: auto;
}

.dropdown-menu > li:hover > .dropdown-submenu {
    display: flex;
    flex-direction: column;
}


.nav-dropdown-has-border .nav-dropdown {
	border: none!important;
}


.mega-menu-has-dropdown a {
    position: relative;
    width: 100%;
}

.mega-menu-has-dropdown > a::after {
    content: url(/wp-content/themes/stumfki/assets/images/chevron-right-dark.svg);
    position: absolute;
    right: 25px;
    top: 50%;
    transform: translateY(-50%);
    height: 24px;
}

.read-more-bullet a {
    font-weight: 600;
    color: var(--primary-color);
}

.read-more-bullet a {
    text-decoration: underline;
}

body {
    font-size: 90%!important;
}

.desktop-megamenu{
	padding-top: 11px;
}

.sub-menu:has(.desktop-megamenu){
	background: none;
	top: 100%;
}

.desktop-megamenu .dropdown-menu{
	min-height: unset;
}

.desktop-megamenu .dropdown-menu .dropdown-submenu{
	top: -1px;
	left: 349px;
	border: 0;
	border-left: 1px solid #EBEEF3;
}

.desktop-megamenu .dropdown-menu li{
	max-width: 350px;
	padding-left: 25px !important;
	padding-right: 25px !important;
}

.desktop-megamenu .dropdown-menu li a{
	padding: 15px 20px !important;
	border-radius: 7px;
	line-height: 140%;
}

.desktop-megamenu .dropdown-menu .dropdown-menu li a{
	padding: 10px 15px !important;
}

.desktop-megamenu .dropdown-menu li a img{
	width: 26px;
	height: 26px;
	object-fit: contain;
}

.desktop-megamenu .dropdown-menu .dropdown-menu li a img{
	width: 20px;
	height: 20px;
}

.bullet-mega img{
	width: 20px;
	height: 20px;
}

.desktop-megamenu .dropdown-menu li:hover > a{
	background: #F7F9FC;
	text-decoration: none;
	color: #213236;
}

.desktop-megamenu .dropdown-menu li a:after{
	right: 15px;
}

.desktop-megamenu .mega-menu-dropdown-wrapper > ul{
	overflow: hidden;
	transition: width 0.3s ease, height 0.3s ease;
	border-radius: 11px;
}

#wrapper:after{
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #00000069;
	opacity: 0;
	z-index: 999;
	pointer-events: none;
	transition: opacity 0.3s;
}

#wrapper:has(.current-dropdown .desktop-megamenu):after{
	opacity: 1;
}

.mobile-mega-menu-tabs .dropdown-menu li a.dropdown-parent-main > img{
	height: 26px;
	width: 26px;
	object-fit: contain;
}

.mobile-mega-menu-tabs .dropdown-menu li a img{
	height: 20px;
	width: 20px;
	object-fit: contain;
}

.mobile-mega-menu-tabs .dropdown-menu.dropdown-submenu .bullet-mega:not(.read-more-bullet) a {
    padding: 12px 0px !important;
	gap: 18px;
}


.mega-menu-dropdown-wrapper.desktop-megamenu{
	padding: 0;
}

.html_top_right_text .desktop-megamenu .desktop-megamenu{
	top: 100%;
	min-width: 350px;
}

.desktop-megamenu-space{
	padding-top: 10px;
}

.html_top_right_text .desktop-megamenu .dropdown-menu li a{
	display: flex;
	color: #213236;
}

.html_top_right_text .mega-menu-dropdown-wrapper{
	height: 100%;
}

.html_top_right_text .mega-menu-dropdown-wrapper.current-dropdown{
	margin-bottom: -15px;
	padding-bottom: 15px;
}

.desktop-megamenu .dropdown-menu li a:not(:has(img)){
	padding-left: 62px !important;
}

.desktop-megamenu .dropdown-menu .dropdown-menu li a:not(:has(img)){
	padding-left: 43px !important;
}


@media (min-width: 850px) {
	.dropdown-menu {
		min-height: 600px;
	}
	
	.nav-size-large>li>a {
		font-size: 0.9em;
	}

}
/* New CSS for Mobile */
@media (max-width: 849px) {
    /* On mobile, set dropdown menus to position relative for below display */
    .dropdown-menu .dropdown-submenu {
        position: relative;
        left: auto;
        top: auto;
        border-left: none;
		
		margin-top: 10px!important;
		margin-bottom: 10px!important;

		padding: 10px 0 !important;
		border-radius: 0;
    }

    /* Ensure the submenu is displayed below the parent */
    .dropdown-menu > li:hover > .dropdown-submenu {
        display: none; /* Disable hover behavior on mobile */
    }

    /* Show submenu on click */
    .dropdown-menu .dropdown-submenu.open {
        display: block!important;
    }

    .mega-menu-has-dropdown > a::after {
		transform: none;
		position: unset;
		margin-left: auto;
        transition: transform 0.3s ease; /* Add smooth transition */
    }

    .mega-menu-has-dropdown.open > a::after {
        transform: rotate(90deg); /* Rotate arrow when menu is open */
    }
	
	.mega-menu-dropdown-wrapper > ul > li > a{
		padding-top: 15px !important;
		padding-bottom: 15px !important;
	}
	
	.mega-menu-dropdown-wrapper > ul > li > a:not(:has(img)){
		padding-left: 36px !important;
	}
	
	.dropdown-menu.dropdown-submenu a:not(:has(img)){
		padding-left: 39px !important;
	}
	
	.mega-menu-dropdown-wrapper a {
		font-weight: 700 !important;
		font-size: 16px;
		line-height: 100%;
		color: #213236 !important;
	}
	
	.mega-menu-dropdown-wrapper .dropdown-submenu a {
		font-size: 14px;
	}
	
	.read-more-bullet > a::after {
		transform: rotate(0deg)!important; /* Adjust arrow for dropdown indication */
	}
	
	.dropdown-menu a {
		padding: 15px 0px !important;
		display: flex;
		align-items: center;
		/* padding-right: 30px !important; */
        text-align: left;
	}
	
	.dropdown-menu.level-1.open {
		border-bottom: solid 1px #E3E3E3;
		border-top: solid 1px #E3E3E3;
		margin-left: -20px;
		margin-right: -20px;
		width: calc(100% + 40px);
		background: transparent;
		margin-top: 0px!important;
	}
	
	.dropdown-parent-main {
		font-weight: 700;
	}
	
	.dropdown-menu.level-2 a {
		padding: 4px 0px !important;
	}
	
	.level-1 .mega-menu-has-dropdown.open img {
		border: solid 1px #E3E3E3;
		border-radius: 16px;
	}
	
	.dropdown-submenu.level-2 {
		margin-top: 0!important;
		padding-top: 0!important;
	}
	
	.bullet-mega {
		font-size: 1.1em!important;
	}
	
	.dropdown-menu {
		min-width: 0px;
	}
}





/* mobile-menu-top-header CSS */

.mobile-menu-top-header .small-icon-24 {
	width: 24px!important;
}

.off-canvas-left:has(.megamenu-mobile) > .mfp-close {
	display: none;
}

.mobile-top-close .mfp-close {
	position: relative!important;
	display: flex;
	opacity: 1 !important;
	justify-content: center;
	align-items: center;
	border: solid 1px #D9D9D9;
	border-radius: 50px;
	color: #000;
	width: 44px;
	height: 44px;
}

.mobile-top-close .mfp-close svg {
	width: 22px;
}

/* END mobile-menu-top-header */
